Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F106169079
D47341.id145676.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D47341.id145676.diff
View Options
Index: usr.sbin/freebsd-update/freebsd-update.sh
===================================================================
--- usr.sbin/freebsd-update/freebsd-update.sh
+++ usr.sbin/freebsd-update/freebsd-update.sh
@@ -1102,6 +1102,19 @@
fetch_setup_verboselevel
}
+# Disallow freebsd-update use if pkgbase
+check_pkgbase()
+{
+ if ! pkg -c $BASEDIR info -q -x '^FreeBSD'; then
+ return
+ fi
+ cat <<EOF
+FreeBSD-update is incompatible with the use of packaged base. Please see
+https://wiki.freebsd.org/PkgBase for more information.
+EOF
+ exit 1
+}
+
#### Core functionality -- the actual work gets done here
# Use an SRV query to pick a server. If the SRV query doesn't provide
@@ -3532,6 +3545,7 @@
# Fetch files for upgrading to a new release.
cmd_upgrade () {
+ check_pkgbase
finalize_components_config ${COMPONENTS}
upgrade_check_params
upgrade_check_kmod_ports
@@ -3566,6 +3580,7 @@
# Install downloaded updates.
cmd_install () {
+ check_pkgbase
finalize_components_config ${COMPONENTS}
install_check_params
install_create_be
@@ -3574,6 +3589,7 @@
# Rollback most recently installed updates.
cmd_rollback () {
+ check_pkgbase
finalize_components_config ${COMPONENTS}
rollback_check_params
rollback_run || exit 1
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Dec 27, 12:51 PM (9 h, 56 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
15614501
Default Alt Text
D47341.id145676.diff (1 KB)
Attached To
Mode
D47341: freebsd-update: refuse to operate on a pkgbase system
Attached
Detach File
Event Timeline
Log In to Comment